import request from '@/utils/request'

// 查询志愿报告条目列表
export function listReportIntelligence(query) {
  return request({
    url: '/mall/ReportIntelligence/list',
    method: 'get',
    params: query
  })
}

// 查询志愿报告条目详细
export function getReportIntelligence(itemId) {
  return request({
    url: '/mall/ReportIntelligence/' + itemId,
    method: 'get'
  })
}

// 新增志愿报告条目
export function addReportIntelligence(data) {
  return request({
    url: '/mall/ReportIntelligence',
    method: 'post',
    data: data
  })
}

// 修改志愿报告条目
export function updateReportIntelligence(data) {
  return request({
    url: '/mall/ReportIntelligence',
    method: 'put',
    data: data
  })
}

// 删除志愿报告条目
export function delReportIntelligence(itemId) {
  return request({
    url: '/mall/ReportIntelligence/' + itemId,
    method: 'delete'
  })
}
